summarylogtreecommitdiffstats
path: root/simple-irc-client.sh
diff options
context:
space:
mode:
authorzxp198210052023-12-14 10:10:46 +0800
committerzxp198210052023-12-14 10:10:46 +0800
commit739f20b99830bd5d057a5196c8ff8220f78aaa78 (patch)
tree41e2b0f287bb361752e2ce80392393cccb0b0c76 /simple-irc-client.sh
parent00a574cc40d80dfe86803d42f82588bcbf5e97e4 (diff)
downloadaur-739f20b99830bd5d057a5196c8ff8220f78aaa78.tar.gz
fix errors
Diffstat (limited to 'simple-irc-client.sh')
-rw-r--r--simple-irc-client.sh17
1 files changed, 10 insertions, 7 deletions
diff --git a/simple-irc-client.sh b/simple-irc-client.sh
index b9f111afd04b..2ec4412e5c4f 100644
--- a/simple-irc-client.sh
+++ b/simple-irc-client.sh
@@ -1,11 +1,14 @@
#!/bin/bash
-_ELECTRON=/usr/bin/electron25
-APPDIR="/usr/lib/simple-irc-client"
-export PATH="${APPDIR}:${PATH}"
-#export LD_LIBRARY_PATH="${APPDIR}/lib:${LD_LIBRARY_PATH}"
-_ASAR="${APPDIR}/app"
+set -e
+_APPDIR="/usr/lib/@appname@"
+export PATH="${_APPDIR}:${PATH}"
+export ELECTRON_IS_DEV=0
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+_ASAR="${_APPDIR}/@appasar@"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec ${_ELECTRON} ${_ASAR} "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" "$@"
else
- exec ${_ELECTRON} ${_ASAR} --no-sandbox "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
fi \ No newline at end of file